Package com.independentsoft.office.spreadsheet.styles

# Class CellAlignment

java.lang.Object
com.independentsoft.office.spreadsheet.styles.CellAlignment

public class CellAlignment extends Object
The Class CellAlignment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellAlignment()`
  Instantiates a new cell alignment.
  `CellAlignment​(InternalXMLStreamReader reader)`
  Instantiates a new cell alignment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellAlignment`
  `clone()`
  `HorizontalAlignment`
  `getHorizontalAlignment()`
  Gets the horizontal alignment.
  `int`
  `getIndent()`
  Gets the indent.
  `int`
  `getReadingOrder()`
  Gets the reading order.
  `int`
  `getRelativeIndent()`
  Gets the relative indent.
  `int`
  `getTextRotation()`
  Gets the text rotation.
  `VerticalAlignment`
  `getVerticalAlignment()`
  Gets the vertical alignment.
  `boolean`
  `isJustifyLastLine()`
  Checks if is justify last line.
  `boolean`
  `isMergeCell()`
  Checks if is merge cell.
  `boolean`
  `isShrinkToFit()`
  Checks if is shrink to fit.
  `boolean`
  `isWrapText()`
  Checks if is wrap text.
  `void`
  `setHorizontalAlignment​(HorizontalAlignment horizontalAlignment)`
  Sets the horizontal alignment.
  `void`
  `setIndent​(int indent)`
  Sets the indent.
  `void`
  `setJustifyLastLine​(boolean justifyLastLine)`
  Sets the justify last line.
  `void`
  `setMergeCell​(boolean mergeCell)`
  Sets the merge cell.
  `void`
  `setReadingOrder​(int readingOrder)`
  Sets the reading order.
  `void`
  `setRelativeIndent​(int relativeIndent)`
  Sets the relative indent.
  `void`
  `setShrinkToFit​(boolean shrinkToFit)`
  Sets the shrink to fit.
  `void`
  `setTextRotation​(int textRotation)`
  Sets the text rotation.
  `void`
  `setVerticalAlignment​(VerticalAlignment verticalAlignment)`
  Sets the vertical alignment.
  `void`
  `setWrapText​(boolean wrapText)`
  Sets the wrap text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellAlignment

    public CellAlignment()
    Instantiates a new cell alignment.

  - ### CellAlignment

    public CellAlignment​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new cell alignment.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public CellAlignment clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHorizontalAlignment

    public HorizontalAlignment getHorizontalAlignment()
    Gets the horizontal alignment.
    Returns:
      the horizontal alignment

  - ### setHorizontalAlignment

    public void setHorizontalAlignment​(HorizontalAlignment horizontalAlignment)
    Sets the horizontal alignment.
    Parameters:
      `horizontalAlignment` - the new horizontal alignment

  - ### getIndent

    public int getIndent()
    Gets the indent.
    Returns:
      the indent

  - ### setIndent

    public void setIndent​(int indent)
    Sets the indent.
    Parameters:
      `indent` - the new indent

  - ### isJustifyLastLine

    public boolean isJustifyLastLine()
    Checks if is justify last line.
    Returns:
      true, if is justify last line

  - ### setJustifyLastLine

    public void setJustifyLastLine​(boolean justifyLastLine)
    Sets the justify last line.
    Parameters:
      `justifyLastLine` - the new justify last line

  - ### isMergeCell

    public boolean isMergeCell()
    Checks if is merge cell.
    Returns:
      true, if is merge cell

  - ### setMergeCell

    public void setMergeCell​(boolean mergeCell)
    Sets the merge cell.
    Parameters:
      `mergeCell` - the new merge cell

  - ### getReadingOrder

    public int getReadingOrder()
    Gets the reading order.
    Returns:
      the reading order

  - ### setReadingOrder

    public void setReadingOrder​(int readingOrder)
    Sets the reading order.
    Parameters:
      `readingOrder` - the new reading order

  - ### getRelativeIndent

    public int getRelativeIndent()
    Gets the relative indent.
    Returns:
      the relative indent

  - ### setRelativeIndent

    public void setRelativeIndent​(int relativeIndent)
    Sets the relative indent.
    Parameters:
      `relativeIndent` - the new relative indent

  - ### isShrinkToFit

    public boolean isShrinkToFit()
    Checks if is shrink to fit.
    Returns:
      true, if is shrink to fit

  - ### setShrinkToFit

    public void setShrinkToFit​(boolean shrinkToFit)
    Sets the shrink to fit.
    Parameters:
      `shrinkToFit` - the new shrink to fit

  - ### getTextRotation

    public int getTextRotation()
    Gets the text rotation.
    Returns:
      the text rotation

  - ### setTextRotation

    public void setTextRotation​(int textRotation)
    Sets the text rotation.
    Parameters:
      `textRotation` - the new text rotation

  - ### getVerticalAlignment

    public VerticalAlignment getVerticalAlignment()
    Gets the vertical alignment.
    Returns:
      the vertical alignment

  - ### setVerticalAlignment

    public void setVerticalAlignment​(VerticalAlignment verticalAlignment)
    Sets the vertical alignment.
    Parameters:
      `verticalAlignment` - the new vertical alignment

  - ### isWrapText

    public boolean isWrapText()
    Checks if is wrap text.
    Returns:
      true, if is wrap text

  - ### setWrapText

    public void setWrapText​(boolean wrapText)
    Sets the wrap text.
    Parameters:
      `wrapText` - the new wrap text